import { fromByteArray } from "base64-js";
import { withBase } from "ufo";
import { unwrap, flatUnwrap } from "../markdown-parser/utils/node.mjs";
import { useRuntimeConfig } from "#app";
const toByteArray = (s) => new Uint8Array(s.length).map((_, i) => s[i].charCodeAt(0));
export const withContentBase = (url) => withBase(url, "/api/" + useRuntimeConfig().public.content.base);
export const contentApiWithParams = (url, params) => {
  let _hash = "";
  if (params) {
    params = JSON.stringify(params);
    _hash = fromByteArray(toByteArray(params)).replace(/\+/g, ".").replace(/\//g, "-");
  }
  return withContentBase(`${url}/${_hash}${process.dev ? "" : ".json"}`);
};
export const useUnwrap = () => ({
  unwrap,
  flatUnwrap
});
